<?php
/**
 * Core: EmailQueue - Main admin view template
 * 
 * Core - EmailQueue
 * 
 * @copyright 2019 SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package core
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
if (!defined('SCHLIX_VERSION')) die();
?>
<x-ui:schlix-data-explorer-list data-schlix-controller="SCHLIX.CMS.Core_EmailQueueAdminController" data-enable-preview-link="true" >

        <!-- Toolbar -->
        <x-ui:schlix-explorer-toolbar>
            <x-ui:schlix-explorer-toolbar-menu data-position="left">    
                <x-ui:schlix-explorer-menu-command data-schlix-command="delete" require-selected-items="1" fonticon="far fa-trash-alt" label="<?= ___('Delete') ?>" />
                <x-ui:schlix-explorer-menu-command data-schlix-command="refresh"  fonticon="fas fa-sync" label="<?= ___('Refresh') ?>" />
                <x-ui:schlix-explorer-menu-command data-schlix-command="config" data-schlix-app-action="editconfig"  fonticon="fas fa-cog" label="<?= ___('Configuration') ?>" />
            <?= \SCHLIX\cmsHooks::output('getApplicationAdminExtraToolbarMenuItem', $this) ?>
            </x-ui:schlix-explorer-toolbar-menu>
            <x-ui:schlix-explorer-toolbar-search />
            <x-ui:schlix-explorer-toolbar-menu data-position="right">
                <x-ui:schlix-explorer-menu-folder fonticon="fa fa-question-circle" label="<?= ___('Help') ?>">
                    <x-ui:schlix-explorer-menu-command data-schlix-command="help-about" data-schlix-app-action="help-about" fonticon="fas fas-cog" label="<?= ___('About') ?>" />
                </x-ui:schlix-explorer-menu-folder>
            </x-ui:schlix-explorer-toolbar-menu>

            
        </x-ui:schlix-explorer-toolbar>
        <!-- breadcrumb -->
        <x-ui:schlix-explorer-breadcrumb />        
        <!-- data viewer -->        
        <x-ui:schlix-explorer-row>
            <!-- Right Column -->
            <x-ui:schlix-explorer-right-column>
                <!-- datatable -->
                <x-ui:schlix-data-table schlix-id="datanav-datatable" >

                    <x-ui:schlix-data-table-columns>

                        <x-ui:schlix-data-table-column key="check" label="this.getSelectAllCheckboxTableHeader()" formatter="this.formatDataTableCell_CheckBox" sortable="false" />

                        <x-ui:schlix-data-table-column key="id" hidden="false" label="<?= ___('ID') ?>" sortable="true" formatter="number" />
                        <x-ui:schlix-data-table-column key="guid" hidden="false" label="<?= ___('GUID') ?>" sortable="false" formatter="string" />
                        <x-ui:schlix-data-table-column key="field_subject" sortable="true" label="<?= ___('Subject') ?>" role="title" formatter="SCHLIX.CMS.Core_EmailQueueAdminController.formatDataTableCell_ViewMail" />
                        <x-ui:schlix-data-table-column key="field_to_email" label="<?= ___('To') ?>" formatter="string" />

                        <x-ui:schlix-data-table-column key="date_queued" label="<?= ___('Date Queued') ?>" sortable="true" formatter="this.formatDataTableCell_Date" />
                        <x-ui:schlix-data-table-column key="date_sent" label="<?= ___('Date Sent') ?>" sortable="true" formatter="this.formatDataTableCell_Date" />
                        <x-ui:schlix-data-table-column key="retry_count" label="<?= ___('Retry Count') ?>" sortable="true" formatter="number" />
                    </x-ui:schlix-data-table-columns>
                </x-ui:schlix-data-table>
                <!-- pagination -->
                <x-ui:schlix-explorer-pagination />
                <!-- end column -->
            </x-ui:schlix-explorer-right-column>
        </x-ui:schlix-explorer-row>
        <!-- End Data Viewer -->

    </x-ui:schlix-data-explorer-list>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<!-- ~~~~~~~~~~~~~~~~~~~~~~~~ Email View Dialog ~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->

<x-ui:schlix-cms-common-dialog id="schlix-cms-emailqueueviewer-dialog" data-fixedcenter="true" data-visible="false" data-constraintoviewport="true" data-schlix-controller="SCHLIX.CMS.Core_EmailQueueAdminController" data-button-cancel-id="btn-dialog-cancel" header-label="<?= ___("View Email"); ?>">

    <x-ui:row>
        <!-- column -->
        <x-ui:column md="6">
            <x-ui:textbox id="email_from" fonticon="fa fa-envelope" readonly="readonly" label="<?= ___('From') ?>" />
            <x-ui:textbox id="email_to" fonticon="fa fa-envelope" readonly="readonly" label="<?= ___('To') ?>" />
            <x-ui:textbox id="email_datequeued" fonticon="fa fa-clock" readonly="readonly" label="<?= ___('Date Queued') ?>" />
            <x-ui:textbox id="email_datesent" fonticon="fa fa-clock" readonly="readonly" label="<?= ___('Date Sent') ?>" />
            <x-ui:textbox id="email_subject" fonticon="fa fa-edit" readonly="readonly" label="<?= ___('Subject') ?>" />
        </x-ui:column>
        
        <!-- column -->
        <x-ui:column md="6">
             <div id="email_bodyhtml" style="max-width:800px"></div>
             
            <x-ui:form-group>
                <label class=" control-label"><?= ___('Message') ?></label>
                <div id="email_bodytext"></div>
            </x-ui:form-group>                    
             
        </x-ui:column>        
        
    </x-ui:row>
    <hr />
    <x-ui:schlix-cms-dialog-button-cancel id="btn-dialog-cancel" fonticon="fa fa-times" label="<?= ___('Close') ?>" />
    <!-- end form -->
</x-ui:schlix-cms-common-dialog> 